# Execute payments

For all active retry cycles associated with the invoice, debit memo, and/or account IDs provided, schedules the next payment retry attempt to occur in the next hourly payment processor run.

Endpoint: POST /api/v1/payments/execute_payments
Version: 2026-05-15
Security: basicAuth

## Request fields (application/json):

  - `account_ids` (array)
    IDs of accounts.
    Example: ["2c92c0f96bd69165016bdcbf55ad5e62"]

  - `debit_memo_ids` (array)
    IDs of debit memos.
    Example: ["2c92c0fa7853052701785a38f3bb267f"]

  - `invoice_ids` (array)
    IDs of invoices.
    Example: ["2c92c0fa7853052701785a38c6622473","2c92c0fa7849b40a01784bc5de0f760f"]

## Response 200 fields (application/json):

  - `success` (boolean)
    Indicates whether the operation is successful.
    Example: true

  - `message` (string)
    The response message.
    Example: "Payments with the following IDs enqueued for processing: [100, 101, 110, 111, 121]"


